Bug 1292260 - epel7 konversation has wrongly versioned dependency on kde-runtime
Summary: epel7 konversation has wrongly versioned dependency on kde-runtime
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: konversation
Version: epel7
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: epel7aarch64 epel7ppc64le
TreeView+ depends on / blocked
 
Reported: 2015-12-16 20:42 UTC by Yaakov Selkowitz
Modified: 2016-05-16 19:05 UTC (History)
4 users (show)

Fixed In Version: konversation-1.5.1-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-16 19:05:40 UTC


Attachments (Terms of Use)

Description Yaakov Selkowitz 2015-12-16 20:42:27 UTC
epel7 konversation.spec contains:

Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}

kdelibs was rebased in RHEL 7.2, but kde-runtime was not, causing an unresolvable dependency in the resulting RPM when rebuilt on 7.2, as is currently being done for new EPEL architectures.

Please change this to an unversioned Requires: and update to fix the build on the new arches.

Comment 1 Fedora Update System 2016-04-28 18:24:31 UTC
konversation-1.5.1-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c55ee81405

Comment 2 Fedora Update System 2016-04-30 04:23:42 UTC
konversation-1.5.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c55ee81405

Comment 3 Fedora Update System 2016-05-16 19:05:37 UTC
konversation-1.5.1-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.